/*---btn animati---*/
.btn-animate {
    position: relative;
    display: inline-block;
    padding: 16px 40px;
    color: #000000;
    text-decoration: none;
    background: #ffffff;
    overflow: hidden;
    font-size: 1.6rem;
    font-weight: 400;
}

/* bordo */
.btn-animate::before {
    content: "";
    position: absolute;
    inset: 0;
    border: 2px solid transparent;
    /*background:
        linear-gradient(#b51d84, #b51d84) 0 0 / 0% 2px no-repeat,
        linear-gradient(#b51d84, #b51d84) 100% 0 / 2px 0% no-repeat,
        linear-gradient(#b51d84, #b51d84) 100% 100% / 0% 2px no-repeat,
        linear-gradient(#b51d84, #b51d84) 0 100% / 2px 0% no-repeat;*/
    background:
        linear-gradient(#087fa4, #087fa4) 0 0 / 0% 2px no-repeat,
        linear-gradient(#087fa4, #087fa4) 100% 0 / 2px 0% no-repeat,
        linear-gradient(#087fa4, #087fa4) 100% 100% / 0% 2px no-repeat,
        linear-gradient(#087fa4, #087fa4) 0 100% / 2px 0% no-repeat;
    animation: border-run 3s linear infinite;
}

/* animazione */
@keyframes border-run {
    0% {
        background-size:
            0% 3.5px,
            3.5px 0%,
            0% 3.5px,
            3.5px 0%;
    }

    25% {
        background-size:
            100% 3.5px,
            3.5px 0%,
            0% 3.5px,
            3.5px 0%;
    }

    50% {
        background-size:
            100% 3.5px,
            3.5px 100%,
            0% 3.5px,
            3.5px 0%;
    }

    75% {
        background-size:
            100% 3.5px,
            3.5px 100%,
            100% 3.5px,
            3.5px 0%;
    }

    100% {
        background-size:
            100% 3.5px,
            3.5px 100%,
            100% 3.5px,
            3.5px 100%;
    }
}
